Loading..
  • Best Support

    From Experts

  • Best Support

    We are always best

For who are facing Incompatible Archive error.:

Dear Customers,

We understand that some of you may have encountered the 'Incompatible Archive Error' after updating to WordPress 6.4.3. We want to assure you that we are here to help resolve this issue.

What's Causing the Error?

The root cause of this problem stems from how MacOS compresses zip files and how WordPress 6.4.3 interprets them upon upload. Recent security enhancements aimed at tightening the upload process inadvertently introduced challenges for MacOS compressed zip files, resulting in the 'Incompatible Archive' error message.

Solution:

Recompress Using Windows File Explorer (for Windows Users):

If you're a Windows user, you can easily resolve this issue by following these steps:

  1. Right-click the main theme folder.
  2. Select Send to > Compressed (zipped) folder.
  3. Use the newly compressed file for upload.

Use the macOS Command Line for Compression:

For MacOS users, we recommend compressing your theme folder using the terminal. Here's how:

Open Terminal.

Navigate to the directory containing your theme folder.

Enter the following command:

zip -r my-theme.zip my-theme/

We hope these instructions help you resolve the 'Incompatible Archive Error' swiftly. If you encounter any further difficulties or require assistance, please do not hesitate to reach out to our support team. We are committed to ensuring your experience with our products is seamless and hassle-free.

Thank you for your patience and understanding.

Sincerely,

SmartDataSoft Team

** The time is base on UTC timezone